Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Users

Create User
POST /users
https://api.relesysapp.net/api/v1.4/users
Create a user if the model is valid.

customFields is an array of key-value-pairs referencing the externalId (see the documentation for 'Get User Custom Fields') as the key, and a string input as the value.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
Request Body
application/json
object
  ⯈ additionalDepartments array[object] optional
   dataSource string optional
   id string / guid optional
  birthDate datetime optional
  cardNumber string optional
  customFields dictionary`2 optional
  dataSource string Max length: 50 optional
  dutyPlanNumber string optional
  email string Max length: 128 optional
  employmentDate datetime optional
  employmentEndDate datetime optional
  employmentType string optional
  externalId string Max length: 128 optional
  gender string Possible values:

Male
Female
optional
  imageId string / guid optional
  initials string Max length: 10 optional
  memberCardId string / guid optional
  name string Max length: 128 required
  password string optional
  ⯈ phoneNumber object optional
   countryCode integer optional
   number string optional
  primaryDepartmentId string / guid required
  registerNumber string optional
  secondaryEmail string Max length: 128 optional
  ⯈ secondaryPhoneNumber object optional
   countryCode integer optional
   number string optional
  title string Max length: 50 optional
  ⯈ userGroups array[object] required
   dataSource string optional
   id string / guid optional
  userName string Max length: 128 optional
Responses
application/json
JSON
{"data":{"id":"a48818c9-5bfe-4d0a-9f3e-59ed91334547","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-11-02T07:17:13.9979432Z","lastModifiedDateTime":"2026-11-02T07:17:13.9979432Z","image":{"id":"7ece1d2c-2589-4d94-8c99-78edcaefc3cd","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"c373b542-7904-481e-9423-076db9b8fa7b","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"01134495-7402-4ac4-af30-3b3ed2d95706","additionalDepartments":[{"id":"3cb21497-4220-4ea6-bef0-7ba0c9fb6bd5","dataSource":"RelesysAPI"}],"userGroups":[{"id":"ff9aed80-480e-4826-8dfa-c929bd571389","dataSource":"RelesysAPI"},{"id":"b17678dd-62c5-4e9e-930f-5fddd4c75d04","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"employmentType":"Full-time employee","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  ⯈ data object      
   ⯈ additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   ⯈ image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   ⯈ memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   ⯈ phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   ⯈ secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   ⯈ userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string